This is RationalPoints.info, produced by Macaulay2, version 1.22

RationalPoints -- Find the rational points of an affine variety defined over a finite field
*******************************************************************************************

Description
===========

RationalPoints is a package for computing the rational points of an affine
variety.

Author
======

  * Nathaniel Stapleton <nat.j.stapleton@gmail.com>

Version
=======

This documentation describes version 0.95 of RationalPoints.

Source code
===========

The source code from which this documentation is derived is in the file
RationalPoints.m2 (see common/share/Macaulay2/RationalPoints.m2 ).

Exports
=======

  * Functions and commands
      * rationalPoints -- Compute all of the rational
        points of an affine variety
  * Methods
      * "rationalPoints(Ideal)" -- see rationalPoints --
        Compute all of the rational points of an affine variety
  * Symbols
      * "Amount" -- see rationalPoints -- Compute all of
        the rational points of an affine variety
      * "LowMem" -- see rationalPoints -- Compute all of
        the rational points of an affine variety
      * "SortGens" -- see rationalPoints -- Compute all
        of the rational points of an affine variety
      * "UseGB" -- see rationalPoints -- Compute all of
        the rational points of an affine variety
      * "UseMinGens" -- see rationalPoints -- Compute
        all of the rational points of an affine variety

For the programmer
==================

The object RationalPoints is a package (Macaulay2Doc).

rationalPoints -- Compute all of the rational points of an affine variety
*************************************************************************

Synopsis
========

  * Usage:
        l = rationalPoints I
  * Inputs:
      * I, which is an ideal (Macaulay2Doc) contained in a
        polynomial ring over a finite field.
  * Optional inputs (Macaulay2Doc):
      * UseGB => a Boolean value (Macaulay2Doc), default value
        false,  turns on and off a Groebner basis computation of the ideal.
        Default is false.
      * UseMinGens => a Boolean value (Macaulay2Doc), default
        value false,  turns on and off a mingens computation of the ideal that
        may change the chosen generators.
      * SortGens => a Boolean value (Macaulay2Doc), default
        value false,  sorts generators in order to make searching for zeroes
        more efficient.
      * LowMem => a Boolean value (Macaulay2Doc), default value
        false,  uses an alternative algorithm that is slower but much less
        memory intensive.
      * Amount => a Boolean value (Macaulay2Doc), default value
        false,  output changes to the number of zeroes.
      * Verbose => a Boolean value (Macaulay2Doc), default value
        false, output includes the generators of the ideal that the computation
        uses. These may be modified by UseGB or UseMinGens
  * Outputs:
      * l, a list (Macaulay2Doc), a list of lists. Each internal
        list is an n-tuple of elements of the finite field such that the
        n-tuple represents a point in Affine n-space lying on the variety
        defined by the input ideal I.

Description
===========

+-----------------------------------------------------------------------------+
|i1 : R = ZZ/5[x_1..x_4];                                                     |
+-----------------------------------------------------------------------------+
|i2 : I = ideal(x_2^2+x_1*x_2+1, x_1*x_2*x_3*x_4+1);                          |
|                                                                             |
|o2 : Ideal of R                                                              |
+-----------------------------------------------------------------------------+
|i3 : p = rationalPoints I                                                    |
|                                                                             |
|o3 = {{-2, 1, 1, 3}, {2, 4, 1, 3}, {-2, 1, 3, 1}, {2, 4, 3, 1}, {-2, 1, 2,   |
|     ------------------------------------------------------------------------|
|     4}, {2, 4, 2, 4}, {-2, 1, 4, 2}, {2, 4, 4, 2}}                          |
|                                                                             |
|o3 : List                                                                    |
+-----------------------------------------------------------------------------+

This symbol is provided by the package RationalPoints.

Ways to use rationalPoints :
============================

  * "rationalPoints(Ideal)"

For the programmer
==================

The object rationalPoints is a method function with options (Macaulay2Doc).